LDAP group links

  • Tier: Premium, Ultimate
  • Offering: GitLab Self-Managed

Use this API to manage LDAP group links. For more information, see manage group memberships with LDAP.

Lists all LDAP group links.

GET /groups/:id/ldap_group_links

Supported attributes:

Attribute Type Required Description
id integer or string yes The ID or URL-encoded path of the group.

Example request:

curl --header "PRIVATE-TOKEN: <your_access_token>" \
     --url "https://gitlab.example.com/api/v4/groups/4/ldap_group_links"

Example response:

[
  {
    "cn": "group1",
    "group_access": 40,
    "provider": "ldapmain",
    "filter": null,
    "member_role_id": null
  },
  {
    "cn": "group2",
    "group_access": 10,
    "provider": "ldapmain",
    "filter": null,
    "member_role_id": null
  }
]

Adds an LDAP group link using a CN or filter.

POST /groups/:id/ldap_group_links

Supported attributes:

Attribute Type Required Description
id integer or string yes The ID or URL-encoded path of the group.
group_access integer yes The default access level for members of the LDAP group. Possible values: 0 (No access), 5 (Minimal access), 10 (Guest), 15 (Planner), 20 (Reporter), 25 (Security Manager), 30 (Developer), 40 (Maintainer), 50 (Owner).
provider string yes LDAP provider ID for the LDAP group link.
cn string yes/no The CN of an LDAP group. Provide either a cn or a filter, but not both.
filter string yes/no The LDAP filter for the group. Provide either a cn or a filter, but not both.
member_role_id integer no The ID of the member role. Ultimate only.

Example request:

curl --request POST \
     --header "PRIVATE-TOKEN: <your_access_token>" \
     --header "Content-Type: application/json" \
     --data '{"group_access": 40, "provider": "ldapmain", "cn": "group2"}' \
     --url "https://gitlab.example.com/api/v4/groups/4/ldap_group_links"

Example response:

{
  "cn": "group2",
  "group_access": 40,
  "provider": "main",
  "filter": null,
  "member_role_id": null
}

Deletes an LDAP group link using a CN or filter.

DELETE /groups/:id/ldap_group_links

Supported attributes:

Attribute Type Required Description
id integer or string yes The ID or URL-encoded path of the group
provider string yes LDAP provider ID for the LDAP group link.
cn string yes/no The CN of an LDAP group. Provide either a cn or a filter, but not both.
filter string yes/no The LDAP filter for the group. Provide either a cn or a filter, but not both.

Example request:

curl --request DELETE \
     --header "PRIVATE-TOKEN: <your_access_token>" \
     --header "Content-Type: application/json" \
     --data '{"provider": "ldapmain", "cn": "group2"}' \
     --url "https://gitlab.example.com/api/v4/groups/4/ldap_group_links"

If successful, no response is returned.

Deletes an LDAP group link. Deprecated. Scheduled for removal in a future release. Use Delete an LDAP group link with CN or filter instead.

Delete an LDAP group link with a CN:

DELETE /groups/:id/ldap_group_links/:cn
Attribute Type Required Description
id integer or string yes The ID or URL-encoded path of the group
cn string yes The CN of an LDAP group

Delete an LDAP group link for a specific LDAP provider:

DELETE /groups/:id/ldap_group_links/:provider/:cn
Attribute Type Required Description
id integer or string yes The ID or URL-encoded path of the group
cn string yes The CN of an LDAP group
provider string yes LDAP provider for the LDAP group link